# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=fakeroot
pkgver=1.29
pkgrel=1
pkgdesc="Tool for simulating superuser privileges"
arch=('x86_64')
url="https://tracker.debian.org/pkg/fakeroot"
license=('GPL')
groups=('base')
depends=('glibc' 'sed' 'bash' 'util-linux')
makedepends=('systemd')
install=${pkgname}.install
source=(https://deb.debian.org/debian/pool/main/f/${pkgname}/${pkgname}_${pkgver}.orig.tar.gz)
sha256sums=(8fbbafb780c9173e3ace4a04afbc1d900f337f3216883939f5c7db3431be7c20)

build() {
    cd ${pkgname}-${pkgver}

    ./configure              \
        --prefix=/usr        \
        --libdir=/usr/lib64/libfakeroot \
        --disable-static     \
        --with-ipc=sysv      \
        --build=x86_64-future-linux-gnu

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install

    install -dm0755 ${pkgdir}/etc/ld.so.conf.d/
    echo '/usr/lib64/libfakeroot' > ${pkgdir}/etc/ld.so.conf.d/fakeroot.conf
}
